<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="CompilerConfiguration">
    <annotationProcessing>
      <profile default="true" name="Default" enabled="true" />
      <profile name="Maven default annotation processors profile" enabled="true">
        <sourceOutputDir name="target/generated-sources/annotations" />
        <sourceTestOutputDir name="target/generated-test-sources/test-annotations" />
        <outputRelativeToContentRoot value="true" />
        <module name="blade-user" />
        <module name="blade-xxljob" />
        <module name="blade-manager-api" />
        <module name="blade-turbine" />
        <module name="blade-swagger" />
        <module name="blade-admin" />
        <module name="blade-system" />
        <module name="blade-common" />
        <module name="blade-manager" />
        <module name="blade-flow" />
        <module name="blade-desk-api" />
        <module name="blade-xxljob-admin" />
        <module name="blade-desk" />
        <module name="blade-flow-api" />
        <module name="blade-business" />
        <module name="blade-desk-api" />
        <module name="blade-report" />
        <module name="blade-system-api" />
        <module name="blade-auth" />
        <module name="blade-scope-api" />
        <module name="blade-log" />
        <module name="blade-gateway" />
        <module name="blade-user-api" />
        <module name="blade-resource" />
        <module name="blade-dict-api" />
        <module name="blade-business-api" />
        <module name="blade-resource-api" />
      </profile>
    </annotationProcessing>
    <bytecodeTargetLevel target="8">
      <module name="blade-admin" target="1.8" />
      <module name="blade-auth" target="1.8" />
      <module name="blade-common" target="1.8" />
      <module name="blade-desk" target="1.8" />
      <module name="blade-desk-api" target="1.8" />
      <module name="blade-develop" target="1.8" />
      <module name="blade-dict-api" target="1.8" />
      <module name="blade-flow" target="1.8" />
      <module name="blade-flow-api" target="1.8" />
      <module name="blade-gateway" target="1.8" />
      <module name="blade-log" target="1.8" />
      <module name="blade-manager" target="1.8" />
      <module name="blade-manager-api" target="1.8" />
      <module name="blade-ops" target="1.8" />
      <module name="blade-ops-api" target="1.8" />
      <module name="blade-plugin" target="1.8" />
      <module name="blade-plugin-api" target="1.8" />
      <module name="blade-report" target="1.8" />
      <module name="blade-resource" target="1.8" />
      <module name="blade-resource-api" target="1.8" />
      <module name="blade-scope-api" target="1.8" />
      <module name="blade-service" target="1.8" />
      <module name="blade-service-api" target="1.8" />
      <module name="blade-swagger" target="1.8" />
      <module name="blade-system" target="1.8" />
      <module name="blade-system-api" target="1.8" />
      <module name="blade-turbine" target="1.8" />
      <module name="blade-user" target="1.8" />
      <module name="blade-user-api" target="1.8" />
      <module name="blade-xxljob" target="1.8" />
      <module name="blade-xxljob-admin" target="1.8" />
      <module name="bladex" target="1.8" />
    </bytecodeTargetLevel>
  </component>
  <component name="JavacSettings">
    <option name="ADDITIONAL_OPTIONS_OVERRIDE">
      <module name="blade-admin" options="-parameters" />
      <module name="blade-auth" options="-parameters" />
      <module name="blade-common" options="-parameters" />
      <module name="blade-desk" options="-parameters" />
      <module name="blade-desk-api" options="-parameters" />
      <module name="blade-develop" options="-parameters" />
      <module name="blade-dict-api" options="-parameters" />
      <module name="blade-flow" options="-parameters" />
      <module name="blade-flow-api" options="-parameters" />
      <module name="blade-gateway" options="-parameters" />
      <module name="blade-log" options="-parameters" />
      <module name="blade-manager" options="-parameters" />
      <module name="blade-manager-api" options="-parameters" />
      <module name="blade-report" options="-parameters" />
      <module name="blade-resource" options="-parameters" />
      <module name="blade-resource-api" options="-parameters" />
      <module name="blade-scope-api" options="-parameters" />
      <module name="blade-swagger" options="-parameters" />
      <module name="blade-system" options="-parameters" />
      <module name="blade-system-api" options="-parameters" />
      <module name="blade-turbine" options="-parameters" />
      <module name="blade-user" options="-parameters" />
      <module name="blade-user-api" options="-parameters" />
      <module name="blade-xxljob" options="-parameters" />
      <module name="blade-xxljob-admin" options="-parameters" />
    </option>
  </component>
</project>